import request from '@/utils/request'

// 竞品信息模块请求前缀
const prefix = '/saler/competitorInfo'

// 查询竞品信息列表
export function listCompetitorInfo(query) {
  return request({
    url: prefix + '/listPage',
    method: 'post',
    data: query
  })
}

// 查询竞品信息详细
export function getCompetitorInfo(id) {
  return request({
    url: prefix + '/findById',
    method: 'post',
    data: { id }
  })
}

// 新增竞品信息
export function addCompetitorInfo(data) {
  return request({
    url: prefix + '/save',
    method: 'post',
    data: data
  })
}

// 修改竞品信息
export function updateCompetitorInfo(data) {
  return request({
    url: prefix + '/updateById',
    method: 'post',
    data: data
  })
}

// 删除竞品信息
export function delCompetitorInfo(id) {
  return request({
    url: prefix + '/deleteById',
    method: 'post',
    data: { id }
  })
}
